
Katello - Bug #6261

hammer activation-key missing --delete option

06/17/2014 09:23 PM - dustin tsang

Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: Hammer   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1109650 Red Hat JIRA:  

Pull request:    

Description

Description of problem:

hammer activation-key missing --delete option

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.19-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.19-1.el6_5.noarch

candlepin-tomcat6-0.9.19-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.17-1.el6sat.noarch

foreman-compute-1.6.0.17-1.el6sat.noarch

foreman-gce-1.6.0.17-1.el6sat.noarch

foreman-libvirt-1.6.0.17-1.el6sat.noarch

foreman-ovirt-1.6.0.17-1.el6sat.noarch

foreman-postgresql-1.6.0.17-1.el6sat.noarch

foreman-proxy-1.6.0.7-1.el6sat.noarch

foreman-selinux-1.6.0-4.el6sat.noarch

foreman-vmware-1.6.0.17-1.el6sat.noarch

katello-1.5.0-26.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.48-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-0.3-3.el6sat.noarch

pulp-nodes-common-2.4.0-0.20.beta.el6sat.noarch

pulp-nodes-parent-2.4.0-0.20.beta.el6sat.noarch

pulp-puppet-plugins-2.4.0-0.20.beta.el6sat.noarch

pulp-puppet-tools-2.4.0-0.20.beta.el6sat.noarch

pulp-rpm-plugins-2.4.0-0.20.beta.el6sat.noarch

pulp-selinux-2.4.0-0.20.beta.el6sat.noarch

pulp-server-2.4.0-0.20.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:

Always

Steps to Reproduce:

1. hammer activation-key delete --name='ak' --organization-id=1
Error: No such sub-command 'delete'

See: 'hammer activation-key --help'

1. hammer activation-key --help

Usage:

hammer activation-key [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:

SUBCOMMAND                    subcommand

[ARG] ...                     subcommand arguments

Subcommands:

add-host-collection           Associate a resource

add-subscription              Add subscription

create                        Create an activation key

host-collections              List associated host collections

info                          Show an activation key

list                          List activation keys

remove-repository             Disassociate a resource

remove-subscription           Remove subscription

subscriptions                 List associated subscriptions

update                        Update an activation key

Options:

-h, --help                    print help

Actual results:

hammer activation-key does not have a delete option

Expected results:

hammer activation-key should have a delete option

Additional info:

Associated revisions

Revision 4cde8601 - 06/17/2014 09:24 PM - dustin tsang

Fixes #6261 - add delete subcommand to AK

this adds the 'delete' subcommand to activation-key

Revision 52543e0f - 06/17/2014 10:19 PM - dustin tsang

Merge pull request #192 from dustint-rh/ak_delete

Fixes #6261 - add delete subcommand to AK

History

#1 - 06/17/2014 11:06 PM - dustin tsang

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:4cde86014c0e772ef256a2c7a47feac4750042df.

#2 - 06/19/2014 01:05 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/22/2014 08:35 AM - Eric Helms

- translation missing: en.field_release set to 13
